$block: contact;

.#{$block} {
	z-index: 30;
	position: relative;
	color: $white;
	background: $black-100;

	&--plus {
		overflow: hidden;
	}

	&__pattern {
		opacity: 0.5;
		left: 110px;
		top: -130px;
		z-index: 1;
		width: 532px;
		position: absolute;
	}

	&__main {
		padding-top: 100px;
		padding-bottom: 40px;
	}

	&__header {
		position: relative;
		margin-bottom: 40px;
		font-family: $font-family-head;

		&--label {
			font-weight: 700;
			line-height: 120%;
			margin-bottom: 20px;
			font-size: font-size-rel(16px);
		}

		&--title {
			font-weight: 700;
			line-height: 130%;
			font-size: font-size-rel(22px);
		}
	}

	&__info {
		padding: 0;
		list-style: none;
		margin: 0 0 20px 0;

		li {
			margin-bottom: 10px;

			&:last-child {
				margin-bottom: 0;
			}
		}

		&--phone {
			color: $white;
			font-weight: 700;
			line-height: 120%;
			white-space: nowrap;
			text-decoration: none;
			font-size: font-size-rel(16px);

			&:hover {
				color: $white;
				text-decoration: none;
			}
		}

		&--email {
			color: $white;
			line-height: 130%;
			white-space: nowrap;
			text-decoration: none;
			font-size: font-size-rel(14px);

			&:hover {
				color: $white;
				text-decoration: underline;
			}
		}
	}

	&__address {
		line-height: 130%;
		margin-bottom: 40px;
		font-size: font-size-rel(14px);
	}

	&__action {
		overflow: hidden;
		position: relative;
	}

	&__button {
		color: $white;
		text-decoration: none;
		font-size: font-size-rel(14px);
		line-height: font-size-rel(18px);
		position: relative;
		display: inline-block;

		&:hover {
			color: $white;
			text-decoration: none;
		}

		span {
			position: relative;
			display: inline-block;

			&:before {
				height: 1px;
				width: 160px;
				left: calc(100% + 15px);
				top: 50%;
				content: '';
				display: block;
				position: absolute;
				background: $red;
			}
		}
	}

	&__plus {
		left: 55px;
		top: 0;
		z-index: 1;
		width: 288px;
		position: absolute;
	}

	@media (min-width: $screen-sm-min) {

		&__wrap {
			position: relative;
			display: flex;
			flex-direction: column;
		}

		&__main {
			padding: 60px 0 40px 0;
			flex-grow: 1;
			display: flex;
			flex-direction: column;
		}

		&__container {
			margin: auto 0;
		}

		&__header {
			margin-bottom: 60px;

			&--label {
				width: 160px;
				text-align: right;
			}

			&--title {
				line-height: 120%;
				font-size: font-size-rel(30px);
				padding-left: 160px;
			}
		}

		&__content {
			display: flex;
		}

		&__info {
			width: 220px;
			flex-shrink: 0;
			margin: 0;

			&--phone {
				font-size: font-size-rel(18px);
			}

			&--email {
				font-size: font-size-rel(16px);
			}
		}

		&__address {
			margin: 0;
			width: 230px;
			font-size: font-size-rel(16px);
			flex-shrink: 0;
		}

		&__action {
			flex-grow: 1;
		}

		&__button {
			font-size: font-size-rel(16px);
		}

		&--plus {

			.screen {
				min-height: 100vh;
			}
		}

		&__plus {
			left: calc(50% - 340px);
			top: -300px;
			z-index: 1;
			width: 696px;
			position: absolute;
		}
	}

	@media (min-width: $screen-md-min) {

		&__pattern {
			right: 0;
			left: auto;
		}

		&__header {

			&--title {
				font-size: font-size-rel(40px);
			}
		}

		&__content {
			padding-left: 160px;
		}

		&__info {
			width: 250px;
		}

		&__address {
			margin-right: 20px;
		}
	}

	@media (min-width: $screen-lg-min) {

		&__address {
			margin-right: 20px;
		}
	}

	@media (min-width: $screen-xl-min) {

		&__pattern {
			top: -214px;
			right: -40px;
			width: 800px;
		}

		&__header {
			margin-bottom: 80px;

			&--label {
				margin-bottom: 50px;
			}

			&--title {
				font-size: font-size-rel(50px);
			}
		}

		&__info {
			width: 320px;
		}

		&__address {
			width: 320px;
			padding-right: 100px;
		}
	}
}

.root-contact {

	body {
		background: $black;
	}
}